---
names:
  full: "AWS ACM RSA Certificate key length is less than 2048 bits"
  contextual: "RSA Certificate key length is less than 2048 bits"
description: >
  Ensure that RSA certificates managed by AWS Certificate Manager (ACM) have a 
  key length of at least 2,048 bits since the strength of encryption directly 
  correlates with key size.
categories:
  - "SECURITY"
type: "COMPLIANCE_POLICY"
frameworkMappings:
  - "/frameworks/cloudaware/secret-and-certificate-governance/cryptographic-configuration"
  - "/frameworks/aws-fsbp-v1.0.0/acm/02"
similarPolicies:
  internal:
    - "dec-x-4de1c44e"